﻿using System.Text.Json.Serialization;

namespace RPG.Services.SDK.Models.Auth;

public record MdkLoginRsp
{
    [JsonPropertyName("retcode")]
    public required int Retcode { get; init; }

    [JsonPropertyName("message")]
    public required string Message { get; init; }

    [JsonPropertyName("data")]
    public required LoginData Data { get; init; }

    public record MdkAccount
    {
        [JsonPropertyName("name")]
        public required string Name { get; init; }

        [JsonPropertyName("token")]
        public required string Token { get; init; }

        [JsonPropertyName("uid")]
        public required string Uid { get; init; }
    }

    public record LoginData
    {
        [JsonPropertyName("account")]
        public MdkAccount? Account { get; init; }
    }
}
