﻿namespace RPG.Network.Proto;
public static class Retcode
{
    public const uint RET_SUCC = 0;
    public const uint RET_FAIL = 1;
    public const uint RET_SERVER_INTERNAL_ERROR = 2;
    public const uint RET_TIMEOUT = 3;
    public const uint RET_REPEATED_REQ = 4;
    public const uint RET_REQ_PARA_INVALID = 5;
    public const uint RET_PLAYER_DATA_ERROR = 6;
    public const uint RET_PLAYER_CLIENT_PAUSED = 7;
    public const uint RET_FUNC_CHECK_FAILED = 8;
    public const uint RET_FEATURE_SWITCH_CLOSED = 9;
    public const uint RET_REPEATE_LOGIN = 1000;
    public const uint RET_RETRY_LOGIN = 1001;
    public const uint RET_WAIT_LOGIN = 1002;
    public const uint RET_NOT_IN_WHITE_LIST = 1003;
    public const uint RET_IN_BLACK_LIST = 1004;
    public const uint RET_ACCOUNT_VERIFY_ERROR = 1005;
    public const uint RET_ACCOUNT_PARA_ERROR = 1006;
    public const uint RET_ANTI_ADDICT_LOGIN = 1007;
    public const uint RET_CHECK_SUM_ERROR = 1008;
    public const uint RET_REACH_MAX_PLAYER_NUM = 1009;
    public const uint RET_ALREADY_REGISTERED = 1010;
    public const uint RET_GENDER_ERROR = 1011;
    public const uint SET_NICKNAME_RET_CALLBACK_PROCESSING = 1012;
    public const uint RET_IN_GM_BIND_ACCESS = 1013;
    public const uint RET_QUEST_REWARD_ALREADY_TAKEN = 1100;
    public const uint RET_QUEST_NOT_ACCEPT = 1101;
    public const uint RET_QUEST_NOT_FINISH = 1102;
    public const uint RET_QUEST_STATUS_ERROR = 1103;
    public const uint RET_ACHIEVEMENT_LEVEL_NOT_REACH = 1104;
    public const uint RET_ACHIEVEMENT_LEVEL_ALREADY_TAKEN = 1105;
    public const uint RET_AVATAR_NOT_EXIST = 1200;
    public const uint RET_AVATAR_RES_EXP_NOT_ENOUGH = 1201;
    public const uint RET_AVATAR_EXP_REACH_PROMOTION_LIMIT = 1202;
    public const uint RET_AVATAR_REACH_MAX_PROMOTION = 1203;
    public const uint RET_SKILLTREE_CONFIG_NOT_EXIST = 1204;
    public const uint RET_SKILLTREE_ALREADY_UNLOCK = 1205;
    public const uint RET_SKILLTREE_PRE_LOCKED = 1206;
    public const uint RET_SKILLTREE_LEVEL_NOT_MEET = 1207;
    public const uint RET_SKILLTREE_RANK_NOT_MEET = 1208;
    public const uint RET_AVATAR_DRESS_NO_EQUIPMENT = 1209;
    public const uint RET_AVATAR_EXP_ITEM_NOT_EXIST = 1210;
    public const uint RET_SKILLTREE_POINT_UNLOCK = 1211;
    public const uint RET_SKILLTREE_POINT_LEVEL_UPGRADE_NOT_MATCH = 1212;
    public const uint RET_SKILLTREE_POINT_LEVEL_REACH_MAX = 1213;
    public const uint RET_WORLD_LEVEL_NOT_MEET = 1214;
    public const uint RET_PLAYER_LEVEL_NOT_MEET = 1215;
    public const uint RET_AVATAR_RANK_NOT_MATCH = 1216;
    public const uint RET_AVATAR_RANK_REACH_MAX = 1217;
    public const uint RET_HERO_BASIC_TYPE_NOT_MATCH = 1218;
    public const uint RET_ITEM_NOT_EXIST = 1300;
    public const uint RET_ITEM_COST_NOT_ENOUGH = 1301;
    public const uint RET_ITEM_COST_TOO_MUCH = 1302;
    public const uint RET_ITEM_NO_COST = 1303;
    public const uint RET_ITEM_NOT_ENOUGH = 1304;
    public const uint RET_ITEM_INVALID = 1305;
    public const uint RET_ITEM_CONFIG_NOT_EXIST = 1306;
    public const uint RET_SCOIN_NOT_ENOUGH = 1307;
    public const uint RET_ITEM_REWARD_EXCEED_LIMIT = 1308;
    public const uint RET_ITEM_INVALID_USE = 1309;
    public const uint RET_ITEM_USE_CONFIG_NOT_EXIST = 1310;
    public const uint RET_REWARD_CONFIG_NOT_EXIST = 1311;
    public const uint RET_ITEM_EXCEED_LIMIT = 1312;
    public const uint RET_ITEM_COUNT_INVALID = 1313;
    public const uint RET_ITEM_USE_TARGET_TYPE_INVALID = 1314;
    public const uint RET_ITEM_USE_SATIETY_FULL = 1315;
    public const uint RET_ITEM_COMPOSE_NOT_EXIST = 1316;
    public const uint RET_RELIC_COMPOSE_NOT_EXIST = 1317;
    public const uint RET_ITEM_CAN_NOT_SELL = 1318;
    public const uint RET_ITEM_SELL_EXCEDD_LIMIT = 1319;
    public const uint RET_EQUIPMENT_ALREADY_DRESSED = 1350;
    public const uint RET_EQUIPMENT_NOT_EXIST = 1351;
    public const uint RET_EQUIPMENT_REACH_LEVEL_LIMIT = 1352;
    public const uint RET_EQUIPMENT_CONSUME_SELF = 1353;
    public const uint RET_EQUIPMENT_ALREADY_LOCKED = 1354;
    public const uint RET_EQUIPMENT_ALREADY_UNLOCKED = 1355;
    public const uint RET_EQUIPMENT_LOCKED = 1356;
    public const uint RET_EQUIPMENT_SELECT_NUM_OVER_LIMIT = 1357;
    public const uint RET_EQUIPMENT_RANK_UP_MUST_CONSUME_SAME_TID = 1358;
    public const uint RET_EQUIPMENT_PROMOTION_REACH_MAX = 1359;
    public const uint RET_EQUIPMENT_RANK_UP_REACH_MAX = 1360;
    public const uint RET_EQUIPMENT_LEVEL_REACH_MAX = 1361;
    public const uint RET_EQUIPMENT_EXCEED_LIMIT = 1362;
    public const uint RET_RELIC_NOT_EXIST = 1363;
    public const uint RET_RELIC_REACH_LEVEL_LIMIT = 1364;
    public const uint RET_RELIC_CONSUME_SELF = 1365;
    public const uint RET_RELIC_ALREADY_DRESSED = 1366;
    public const uint RET_RELIC_LOCKED = 1367;
    public const uint RET_RELIC_ALREADY_LOCKED = 1368;
    public const uint RET_RELIC_ALREADY_UNLOCKED = 1369;
    public const uint RET_RELIC_LEVEL_IS_NOT_ZERO = 1370;
    public const uint RET_LINEUP_INVALID_INDEX = 1400;
    public const uint RET_LINEUP_INVALID_MEMBER_POS = 1401;
    public const uint RET_LINEUP_SWAP_NOT_EXIST = 1402;
    public const uint RET_LINEUP_AVATAR_ALREADY_IN = 1403;
    public const uint RET_LINEUP_CREATE_AVATAR_ERROR = 1404;
    public const uint RET_LINEUP_AVATAR_INIT_ERROR = 1405;
    public const uint RET_LINEUP_NOT_EXIST = 1406;
    public const uint RET_LINEUP_ONLY_ONE_MEMBER = 1407;
    public const uint RET_LINEUP_SAME_LEADER_SLOT = 1408;
    public const uint RET_LINEUP_NO_LEADER_SELECT = 1409;
    public const uint RET_LINEUP_SWAP_SAME_SLOT = 1410;
    public const uint RET_LINEUP_AVATAR_NOT_EXIST = 1411;
    public const uint RET_LINEUP_TRIAL_AVATAR_CAN_NOT_QUIT = 1412;
    public const uint RET_LINEUP_VIRTUAL_LINEUP_PLANE_NOT_MATCH = 1413;
    public const uint RET_LINEUP_NOT_VALID_LEADER = 1414;
    public const uint RET_LINEUP_SAME_INDEX = 1415;
    public const uint RET_LINEUP_IS_EMPTY = 1416;
    public const uint RET_LINEUP_NAME_FORMAT_ERROR = 1417;
    public const uint RET_LINEUP_TYPE_NOT_MATCH = 1418;
    public const uint RET_LINEUP_REPLACE_ALL_FAILED = 1419;
    public const uint RET_LINEUP_NOT_ALLOW_EDIT = 1420;
    public const uint RET_MAIL_NOT_EXIST = 1700;
    public const uint RET_MAIL_RANGE_INVALID = 1701;
    public const uint RET_MAIL_MAIL_ID_INVALID = 1702;
    public const uint RET_MAIL_NO_MAIL_TAKE_ATTACHMENT = 1703;
    public const uint RET_MAIL_NO_MAIL_TO_DEL = 1704;
    public const uint RET_STAGE_SETTLE_ERROR = 1800;
    public const uint RET_STAGE_CONFIG_NOT_EXIST = 1801;
    public const uint RET_STAGE_NOT_FOUND = 1802;
    public const uint RET_STAGE_COCOON_PROP_NOT_VALID = 1804;
    public const uint RET_STAGE_COCOON_WAVE_NOT_VALID = 1805;
    public const uint RET_STAGE_PROP_ID_NOT_EQUAL = 1806;
    public const uint RET_STAGE_COCOON_WAVE_OVER = 1807;
    public const uint RET_STAGE_WEEK_COCOON_OVER_CNT = 1808;
    public const uint RET_STAGE_COCOON_NOT_OPEN = 1809;
    public const uint RET_CHAPTER_LOCK = 1900;
    public const uint RET_CHAPTER_CHALLENGE_NUM_NOT_ENOUGH = 1901;
    public const uint RET_CHAPTER_REWARD_ID_NOT_EXIST = 1902;
    public const uint RET_CHAPTER_REWARD_ALREADY_TAKEN = 1903;
    public const uint RET_BATTLE_STAGE_NOT_MATCH = 2000;
    public const uint RET_IN_BATTLE_NOW = 2001;
    public const uint RET_BATTLE_CHEAT = 2002;
    public const uint RET_BATTLE_FAIL = 2003;
    public const uint RET_BATTLE_NO_LINEUP = 2004;
    public const uint RET_BATTLE_LINEUP_EMPTY = 2005;
    public const uint RET_BATTLE_VERSION_NOT_MATCH = 2006;
    public const uint RET_BATTLE_QUIT_BY_SERVER = 2007;
    public const uint RET_LACK_EXCHANGE_STAMINA_TIMES = 2100;
    public const uint RET_LACK_STAMINA = 2101;
    public const uint RET_STAMINA_FULL = 2102;
    public const uint RET_AUTHKEY_SIGN_TYPE_ERROR = 2103;
    public const uint RET_AUTHKEY_SIGN_VER_ERROR = 2104;
    public const uint RET_NICKNAME_FORMAT_ERROR = 2105;
    public const uint RET_SENSITIVE_WORDS = 2106;
    public const uint RET_LEVEL_REWARD_HAS_TAKEN = 2107;
    public const uint RET_LEVEL_REWARD_LEVEL_ERROR = 2108;
    public const uint RET_LANGUAGE_INVALID = 2109;
    public const uint RET_MAZE_NOT_FINISH = 2200;
    public const uint RET_MAZE_LACK_TICKET = 2201;
    public const uint RET_MAZE_NOT_UNLOCK = 2202;
    public const uint RET_MAZE_DIFFICULTY_LIMIT = 2203;
    public const uint RET_MAZE_NO_ABILITY = 2204;
    public const uint RET_MAZE_NO_PLANE = 2205;
    public const uint RET_MAZE_STAGE_DISMATCH = 2206;
    public const uint RET_MAZE_MAP_NOT_EXIST = 2207;
    public const uint RET_MAZE_TYPE_NOT_EXIST = 2208;
    public const uint RET_MAZE_ALREADY_FINISH = 2209;
    public const uint RET_MAZE_PROP_NOT_EXIST = 2210;
    public const uint RET_MAZE_POSITION_TOO_FAR = 2211;
    public const uint RET_MAZE_SKILL_CAST_CNT_REACH_MAX = 2212;
    public const uint RET_MAZE_MP_NOT_ENOUGH = 2213;
    public const uint RET_SPRING_NOT_ENABLE = 2214;
    public const uint RET_SPRING_REFRESH_IN_CD = 2215;
    public const uint RET_SPRING_TOO_FAR = 2216;
    public const uint RET_MAZE_NO_FLOOR = 2217;
    public const uint RET_NOT_IN_MAZE = 2218;
    public const uint RET_PLANE_ID_NOT_MATCH = 2219;
    public const uint RET_FLOOR_ID_NOT_MATCH = 2220;
    public const uint RET_SAVEPOINTS_TIMES_ZERO = 2221;
    public const uint RET_MAZE_TIME_OF_DAY_TYPE_IS_SAME = 2222;
    public const uint RET_MAZE_TIME_OF_DAY_TYPE_ERROR = 2223;
    public const uint RET_PLOT_NOT_UNLOCK = 2300;
    public const uint RET_MISSION_NOT_EXIST = 2400;
    public const uint RET_MISSION_ALREADY_DONE = 2401;
    public const uint RET_DAILY_TASK_NOT_FINISH = 2402;
    public const uint RET_DAILY_TASK_REWARD_HAS_TAKEN = 2403;
    public const uint RET_MISSION_NOT_FINISH = 2404;
    public const uint RET_MISSION_NOT_DOING = 2405;
    public const uint RET_MISSION_FINISH_WAY_NOT_MATCH = 2406;
    public const uint RET_MISSION_SCENE_NOT_MATCH = 2407;
    public const uint RET_ADVENTURE_MAP_NOT_EXIST = 2500;
    public const uint RET_SCENE_ENTITY_NOT_EXIST = 2600;
    public const uint RET_NOT_IN_SCENE = 2601;
    public const uint RET_SCENE_MONSTER_NOT_EXIST = 2602;
    public const uint RET_INTERACT_CONFIG_NOT_EXIST = 2603;
    public const uint RET_UNSUPPORTED_PROP_STATE = 2604;
    public const uint RET_SCENE_ENTRY_ID_NOT_MATCH = 2605;
    public const uint RET_ASSIST_MONSTER_COUNT_LIMIT = 2607;
    public const uint RET_SCENE_USE_SKILL_FAIL = 2608;
    public const uint RET_PROP_IS_HIDDEN = 2609;
    public const uint RET_LOADING_SUCC_ALREADY = 2610;
    public const uint RET_SCENE_ENTITY_TYPE_INVALID = 2611;
    public const uint RET_INTERACT_TYPE_INVALID = 2612;
    public const uint RET_INTERACT_NOT_IN_REGION = 2613;
    public const uint RET_INTERACT_SUB_TYPE_INVALID = 2614;
    public const uint RET_NOT_LEADER_ENTITY = 2615;
    public const uint RET_MONSTER_IS_NOT_FARM_ELEMENT = 2616;
    public const uint RET_MONSTER_CONFIG_NOT_EXIST = 2617;
    public const uint RET_BUY_TIMES_LIMIT = 2700;
    public const uint RET_BUY_LIMIT_TYPE = 2701;
    public const uint RET_SHOP_NOT_OPEN = 2702;
    public const uint RET_GOODS_NOT_OPEN = 2703;
    public const uint RET_TUTORIAL_NOT_UNLOCK = 2751;
    public const uint RET_TUTORIAL_UNLOCK_ALREADY = 2752;
    public const uint RET_TUTORIAL_FINISH_ALREADY = 2753;
    public const uint RET_TUTORIAL_PRE_NOT_UNLOCK = 2754;
    public const uint RET_TUTORIAL_PLAYER_LEVEL_NOT_MATCH = 2755;
    public const uint RET_TUTORIAL_TUTORIAL_NOT_FOUND = 2756;
    public const uint RET_CHALLENGE_NOT_EXIST = 2801;
    public const uint RET_CHALLENGE_NOT_UNLOCK = 2802;
    public const uint RET_CHALLENGE_ALREADY = 2803;
    public const uint RET_CHALLENGE_LINEUP_EDIT_FORBIDDEN = 2804;
    public const uint RET_CHALLENGE_LINEUP_EMPTY = 2805;
    public const uint RET_CHALLENGE_NOT_DOING = 2806;
    public const uint RET_CHALLENGE_NOT_FINISH = 2807;
    public const uint RET_CHALLENGE_TARGET_NOT_FINISH = 2808;
    public const uint RET_CHALLENGE_TARGET_REWARD_TAKEN = 2809;
    public const uint RET_CHALLENGE_TIME_NOT_VALID = 2810;
    public const uint RET_BASIC_TYPE_ALREADY = 2850;
    public const uint RET_NO_BASIC_TYPE = 2851;
    public const uint RET_NOT_CHOOSE_BASIC_TYPE = 2852;
    public const uint RET_NOT_FUNC_CLOSE = 2853;
    public const uint RET_ROGUE_STATUS_NOT_MATCH = 2901;
    public const uint RET_ROGUE_SELECT_BUFF_NOT_EXIST = 2902;
    public const uint RET_ROGUE_COIN_NOT_ENOUGH = 2903;
    public const uint RET_ROGUE_STAMINA_NOT_ENOUGH = 2904;
    public const uint RET_ROGUE_COUNT_INVALID = 2905;
    public const uint RET_ROGUE_PROP_ALREADY_USED = 2906;
    public const uint RET_ROGUE_RECORD_ALREADY_SAVED = 2907;
    public const uint RET_ROGUE_ROLL_BUFF_MAX_COUNT = 2908;
    public const uint RET_ROGUE_PICK_AVATAR_INVALID = 2909;
    public const uint RET_MISSION_EVENT_CONFIG_NOT_EXIST = 2951;
    public const uint RET_MISSION_EVENT_NOT_CLIENT = 2952;
    public const uint RET_MISSION_EVENT_FINISHED = 2953;
    public const uint RET_MISSION_EVENT_DOING = 2954;
    public const uint RET_HAS_CHALLENGE_MISSION_EVENT = 2955;
    public const uint RET_NOT_CHALLENGE_MISSION_EVENT = 2956;
    public const uint RET_GACHA_ID_NOT_EXIST = 3001;
    public const uint RET_GACHA_NUM_INVALID = 3002;
    public const uint RET_GACHA_FIRST_GACHA_MUST_ONE = 3003;
    public const uint RET_GACHA_REQ_DUPLICATED = 3004;
    public const uint RET_GACHA_NOT_IN_SCHEDULE = 3005;
    public const uint RET_GACHA_NEWBIE_CLOSE = 3006;
    public const uint RET_GACHA_TODAY_LIMITED = 3007;
    public const uint RET_PRESTIGE_ID_NOT_EXIST = 3051;
    public const uint RET_PRESTIGE_LEVEL_REWARD_LEVEL_ERROR = 3052;
    public const uint RET_PRESTIGE_LEVEL_REWARD_HAS_TAKEN = 3053;
    public const uint RET_PRESTIGE_MISSION_NOT_EXIST = 3054;
    public const uint RET_PRESTIGE_MISSION_NOT_FINISHED = 3055;
    public const uint RET_PRESTIGE_MISSION_REWARD_HAS_TAKEN = 3056;
    public const uint RET_NOT_IN_RAID = 3101;
    public const uint RET_RAID_DOING = 3102;
    public const uint RET_NOT_PROP = 3103;
    public const uint RET_RAID_ID_NOT_MATCH = 3104;
    public const uint RET_RAID_RESTART_NOT_MATCH = 3105;
    public const uint RET_RAID_LIMIT = 3106;
    public const uint RET_RAID_AVATAR_LIST_EMPTY = 3107;
    public const uint RET_RAID_AVATAR_NOT_EXIST = 3108;
    public const uint RET_CHALLENGE_RAID_REWARD_ALREADY = 3109;
    public const uint RET_CHALLENGE_RAID_SCORE_NOT_REACH = 3110;
    public const uint RET_CHALLENGE_RAID_NOT_OPEN = 3111;
    public const uint RET_TALK_EVENT_ALREADY_TAKEN = 3151;
    public const uint RET_NPC_ALREADY_MEET = 3152;
    public const uint RET_NPC_NOT_IN_CONFIG = 3153;
    public const uint RET_DIALOGUE_GROUP_DISMATCH = 3154;
    public const uint RET_EXPEDITION_CONFIG_NOT_EXIST = 3201;
    public const uint RET_EXPEDITION_REWARD_CONFIG_NOT_EXIST = 3202;
    public const uint RET_EXPEDITION_NOT_UNLOCKED = 3203;
    public const uint RET_EXPEDITION_ALREADY_ACCEPTED = 3204;
    public const uint RET_EXPEDITION_REPEATED_AVATAR = 3205;
    public const uint RET_AVATAR_ALREADY_DISPATCHED = 3206;
    public const uint RET_EXPEDITION_NOT_ACCEPTED = 3207;
    public const uint RET_EXPEDITION_NOT_FINISH = 3208;
    public const uint RET_EXPEDITION_ALREADY_FINISH = 3209;
    public const uint RET_LOGIN_ACTIVITY_HAS_TAKEN = 3301;
    public const uint RET_LOGIN_ACTIVITY_DAYS_LACK = 3302;
}