﻿using RPG.Network.Proto;

namespace RPG.Services.Core.Network.Attributes;

[AttributeUsage(AttributeTargets.Method)]
public class ServiceCommandAttribute : Attribute
{
    public ServiceCommandType CommandType { get; }

    public ServiceCommandAttribute(ServiceCommandType commandType)
    {
        CommandType = commandType;
    }
}
